define({"0":{y:0,u:"../Content/part_Overview.htm",l:-1,t:"Overview of PDF Export",i:0.0060746289133996,a:"Overview of PDF Export This section provides an overview of the Micro Focus IDOL KeyView Export SDK and describes how to use the C implementation of the API. Introducing PDF Export"},"1":{y:0,u:"../Content/ExportShared/Introduction/Introduction.htm",l:-1,t:"Introducing PDF Export",i:0.0112380937573158,a:"Introducing PDF Export This guide is for developers who incorporate the Micro Focus KeyView PDF conversion technology into their applications using a C development environment. It is intended for readers who are familiar with C. This section describes the KeyView Export SDK package."},"2":{y:0,u:"../Content/ExportShared/Introduction/Overview.htm",l:-1,t:"Overview",i:0.0060746289133996,a:"PDF Export is part of the KeyView Export SDK. It enables you to convert virtually any document, spreadsheet, presentation, or graphic into a high-fidelity PDF document. Incorporating this technology into your  applications enables your end-users to access a document even if they do not have the ..."},"3":{y:0,u:"../Content/ExportShared/Introduction/Features.htm",l:-1,t:"Features",i:0.0060746289133996,a:"Dynamically convert word processing, spreadsheet, presentation, and graphics files into PDF documents. Export supports over 300 formats in 70 languages. Convert files out of process. Out-of-process conversion ensures the stability and robustness of the calling application if a corrupt document ..."},"4":{y:0,u:"../Content/Shared/_KV_Platform.htm",l:-1,t:"Platforms, Compilers, and Dependencies",i:0.0060746289133996,a:"Platforms, Compilers, and Dependencies This section lists the supported platforms, supported compilers, and software dependencies for the KeyView software."},"5":{y:0,u:"../Content/C/PDF/Supported_Platforms.htm",l:-1,t:"Supported Platforms",i:0.0060746289133996,a:"KeyView PDF Export 12.5 is supported on the following platforms. Windows x86-64 Windows Server 2019 Windows Server 2016 Windows Server 2012 Windows 10 Windows 7 SP1 Windows Server 2008 R2 Windows Server 2008 SP2 Linux x86-64 The minimum supported versions of particular distributions are: Red Hat ..."},"6":{y:0,u:"../Content/Shared/_KV_Platform_Compilers.htm",l:-1,t:"Supported Compilers",i:0.0060746289133996,a:"Supported Compilers Supported Compilers for Java Components Component Compiler Java components Java 7"},"7":{y:0,u:"../Content/Shared/_KV_Platform_Dependencies.htm",l:-1,t:"Software Dependencies",i:0.0060746289133996,a:"Some KeyView components require  specific third-party software: Java Runtime Environment (JRE) or Java Software Developer Kit (JDK) version 7 is required for graphics conversion in Export SDK. Microsoft Visual C++ 2013 and Microsoft Visual C++ 2019 Redistributables (Windows only)."},"8":{y:0,u:"../Content/Shared/_KV_install_Windows.htm",l:-1,t:"Windows Installation",i:0.0060746289133996,a:"To install the SDK on Windows, use the following procedure. To install the SDK  Run the installation program, KeyViewProductNameSDK_VersionNumber_OS.exe, where ProductName is the name of the product, VersionNumber is the product version number, and OS is the operating system. For example: ..."},"9":{y:0,u:"../Content/Shared/_KV_install_UNIX.htm",l:-1,t:"UNIX Installation",i:0.0060746289133996,a:"To install the SDK, use one of the following procedures. To install the SDK from the graphical interface Run the installation program and follow the on-screen instructions. To install the SDK from the console Run the installation program from the console as follows: ..."},"10":{y:0,u:"../Content/ExportShared/Introduction/Package_Contents.htm",l:-1,t:"Package Contents",i:0.0060746289133996,a:"The Export installation contains: Libraries and executable files necessary for converting source documents into high-quality  PDF files  (see  Files Required for Redistribution ). The include files that define the functions and structures used by the application to establish an interface with Export ..."},"11":{y:0,u:"../Content/Shared/_KV_License_Update.htm",l:-1,t:"License Information",i:0.109335922101573,a:"During installation, the installation program generates the  install/OS/bin/kv.lic file, where  install is the directory in which you installed KeyView, and OS is the operating system. This file is opened and validated when the KeyView API is used.  Where the API allows, Micro Focus recommends that ..."},"12":{y:0,u:"../Content/ExportShared/Introduction/Directory_Structure.htm",l:-1,t:"Directory Structure",i:0.0060746289133996,a:" The following table describes the directories created during the PDF Export installation. The variable install is the path name of the Export installation  directory (for example, /usr/autonomy/KeyviewExportSDK on UNIX, or C:\\Program Files\\Autonomy\\KeyviewExportSDK on Windows). On UNIX, the PDF ..."},"13":{y:0,u:"../Content/part_Use.htm",l:-1,t:"Use the Export API",i:0.0060746289133996,a:"Use the Export API This section explains how to perform some basic tasks using the Export APIs, and describes the sample programs. It contains the following chapters: Use the PDF Export API Sample Programs"},"14":{y:0,u:"../Content/ExportShared/UseExportAPI/HTML_api.htm",l:-1,t:"Use the PDF Export API",i:0.0086563613353577,a:"Use the PDF Export API This section describes how to perform some basic tasks by using the PDF Export API."},"15":{y:0,u:"../Content/C/PDF/Get_Session_Context.htm",l:-1,t:"Get a Session Context",i:0.0236182291542514,a:"Use of the PDF Export API requires the following steps:\n Dynamically load the kvpdf shared library.\n Obtain a handle to the KVPDFGetInterface function.\n Call the KVPDFGetInterface function to obtain function pointers for the library methods.\n Call the fpInit() function pointer to initialize ..."},"16":{y:0,u:"../Content/C/PDF/Export_to_PDF.htm",l:-1,t:"Export a File to PDF",i:0.0127665447394658,a:"The following example illustrates how to initialize KeyView by using fpInit(),  use the fpConvertFileToFile() file method, and then shutdown using fpShutdown().\n This example uses the KVPDFGetInterface function pointer, fpGetInterface(). For details of how to load the kvpdf library and obtain this ..."},"17":{y:0,u:"../Content/C/PDF/Obtain_Summary_Info.htm",l:-1,t:"Obtain File Format Information",i:0.0127665447394658,a:"KeyView allows you to obtain the following basic information for a file: The character set. See the KVCharSet enumerated type. The class of document. See the ENdocClass enumerated type. The specific type of document. See the ENdocFmt enumerated type. Some other attributes such as the presence of ..."},"18":{y:0,u:"../Content/C/SamplePrograms/html_samples_c.htm",l:-1,t:"Sample Programs",i:0.0086563613353577,a:"Sample Programs This section describes the  sample programs provided with PDF Export."},"19":{y:0,u:"../Content/C/SamplePrograms/Introduction.htm",l:-1,t:"Introduction",i:0.0060746289133996,a:"The sample programs demonstrate how to use the C implementations of PDF Export.  The sample code is intended to provide a starting point for your own applications or to be used for reference purposes. The source code and makefile for each program are in the directory: ..."},"20":{y:0,u:"../Content/C/SamplePrograms/cnv2pdf.htm",l:-1,t:"cnv2pdf",i:0.0749154910388488,a:"The cnv2pdf sample program demonstrates PDF export, taking an input file and creating a PDF from it. To run cnv2pdf, type the following at the command line: cnv2html [options] inputfile outputfile where: options is one or more of the options listed in  Options for cnv2pdf . inputfile is the full ..."},"21":{y:0,u:"../Content/part_CReference.htm",l:-1,t:"C API Reference",i:0.0169263133281852,a:"C API Reference This section provides detailed reference information for the C-language implementation of the Export APIs. PDF Export API Functions PDF Export API Structures Enumerated Types"},"22":{y:0,u:"../Content/C/ExportAPIFunctions/htmlx_functions.htm",l:-1,t:"PDF Export API Functions",i:0.0125916264971481,a:"PDF Export API Functions This section describes the functions in the PDF Export API.  Each function appears as a function prototype followed by a description of its arguments, its return value, and discussion of its use."},"23":{y:0,u:"../Content/C/ExportAPIFunctions/KVPDFGetInterface.htm",l:-1,t:"KVPDFGetInterface()",i:0.00779578386137167,a:"This function is exported by the Export definition file. It supplies function pointers to other PDF Export functions. When KVPDFGetInterface() is called, it assigns the function pointers to the structure pointed to by pInterface. Syntax void pascal KVPDFGetInterface (KVPDFInterface *pInterface); ..."},"24":{y:0,u:"../Content/C/ExportAPIFunctions/PDF_fpConvertFileToFile.htm",l:-1,t:"fpConvertFileToFile()",i:0.0108508502661874,a:"This function converts a source file to an output PDF file. Syntax KVPDFState pascal fpConvertFileToFile(\n    const KVPDFContext context,\n    const char* const pszInFileName,\n    const char* const pszOutFileName,\n    const KVPDFOptions options) Arguments Returns If the call is successful, a ..."},"25":{y:0,u:"../Content/C/ExportAPIFunctions/PDF_fpGetFileInfo.htm",l:-1,t:"fpGetFileInfo()",i:0.0060746289133996,a:"This function returns information about a file such as its format and character set. Syntax KVPDFState pascal fpGetFileInfo(\n    const KVPDFContext context,\n    const char* const pszInFileName,\n    KVDocInfo* const pDocInfo); Arguments Returns If the call is successful, a KVPDFState structure with ..."},"26":{y:0,u:"../Content/C/ExportAPIFunctions/PDF_fpInit.htm",l:-1,t:"fpInit()",i:0.0923228109714487,a:"This function initializes an Export session. If initialization is successful, the KVPDFContext value pointed to by pContext is set to a valid context identifier. This context value must be passed as the first parameter to all other PDF Export functions. Syntax KVPDFState pascal fpInit(\n    const ..."},"27":{y:0,u:"../Content/C/ExportAPIFunctions/PDF_fpShutDown.htm",l:-1,t:"fpShutDown()",i:0.0845706483942274,a:"This function terminates a PDF Export session that was initialized by  fpInit() , and frees allocated system resources. Call this function when the conversion context is no longer required. Syntax void pascal fpShutDown(KVPDFContext* const pContext); Arguments Returns None. Discussion pContext ..."},"28":{y:0,u:"../Content/C/ExportAPIStructures/htmlx_structures.htm",l:-1,t:"PDF Export API Structures",i:0.0108704715491761,a:"PDF Export API Structures This section provides information on the structures used by the PDF Export API. These structures are defined in , kvtypes .h, and adinfo .h."},"29":{y:0,u:"../Content/C/ExportAPIStructures/ADDOCINFO.htm",l:-1,t:"ADDOCINFO",i:0.017594114298453,a:"This structure provides the format, file class, and version number of the source document.  It is defined in adinfo.h and is part of the  KVDocInfo  structure. typedef struct\n{\n    ENdocClass        eClass;\n    ENdocFmt          eFormat;\n    long              lVersion; \n    unsigned ..."},"30":{y:0,u:"../Content/C/ExportAPIStructures/KVDocInfo.htm",l:-1,t:"KVDocInfo",i:0.0135522034557791,a:"KVDocInfo This structure provides the character set, format, file class, and version number of the source document. It is defined in adinfo.h as KVStreamInfo. typedef struct \n{\n   KVCharSet   charset;\n   ADDOCINFO   adInfo;\n}\nKVDocInfo; Member Descriptions"},"31":{y:0,u:"../Content/C/ExportAPIStructures/KVPDFInterface.htm",l:-1,t:"KVPDFInterface",i:0.0060746289133996,a:"This structure contains pointers to the PDF Export API functions. You can set the pointers by calling the  KVPDFGetInterface()  function. typedef struct \n{\n    KVStructHeader;\n    KVPDF_INIT\t\t\tfpInit;\n    KVPDF_CONVERT_FILE_TO_FILE\tfpConvertFileToFile;\n    KVPDF_GET_FILE_INFO\tfpGetFileInfo;\n    ..."},"32":{y:0,u:"../Content/C/ExportAPIStructures/KVStructHead.htm",l:-1,t:"KVStructHead",i:0.0125720052141595,a:"This structure contains the current KeyView version number and is the first member of other structures. It enables Micro Focus to modify the structures in future releases, but to maintain backward compatibility. Before initializing a structure that contains the KVStructHead structure, use the macro  ..."},"33":{y:0,u:"../Content/C/ExportAPIStructures/KVPDFState.htm",l:-1,t:"KVPDFState",i:0.0060746289133996,a:"This structure is returned by PDF export functions to indicate whether they were successful, and if they failed to give the reason why. typedef struct \n{\n    KVErrorCode\teErrorCode;\n    KVErrorCodeEx\teErrorCodeEx;\n}\nKVPDFState; Member Descriptions Discussion To evaluate a KVPDFState object, check ..."},"34":{y:0,u:"../Content/C/ExportAPIStructures/KVPDFContext.htm",l:-1,t:"KVPDFContext",i:0.0060746289133996,a:"KVPDFContext This pointer identifies a KeyView session. kvpdf.h contains its forward declaration. tag_KVPDFContext is for internal use only, and so is not defined in the public headers. typedef struct tag_KVPDFContext *KVPDFContext;"},"35":{y:0,u:"../Content/C/ExportAPIStructures/KVPDFOptions.htm",l:-1,t:"KVPDFOptions",i:0.0112380937573158,a:"This structure modifies PDF Export options. typedef struct\n{\n\tKVStructHeader;\n\tchar pszSourceFilePassword[MAX_PASSWORD_LEN];\n\tdouble pageWidthInches;\n\tdouble pageHeightInches;\n}\nKVPDFOptions;\n Member Descriptions Discussion KeyView attempts to determine appropriate page dimensions from a file before ..."},"36":{y:0,u:"../Content/kv_enumtype/_KV_ENUM_enumtype.htm",l:-1,t:"Enumerated Types",i:0.0108704715491761,a:"Enumerated Types This section provides information on some of the enumerated types used by the  PDF Export  API. "},"37":{y:0,u:"../Content/kv_enumtype/_KV_ENUM_Introduction.htm",l:-1,t:"Introduction",i:0.0112380937573158,a:"The enumerated types are in  adinfo.h, kvcharset.h, kverrorcodes.h,  kvtypes.h,  kv.h,  and  kvxtract.h. These  header files are in the include directory. The first entry in an enumerated type structure should be set to zero (0). Each subsequent entry is increased by 1. For example, the first five ..."},"38":{y:0,u:"../Content/kv_enumtype/_KV_ENUM_KVErrorCode.htm",l:-1,t:"KVErrorCode",i:0.0060746289133996,a:"This enumerated type  defines the type of error generated if  Export  fails. This enumerated type is defined in kverrorcodes.h. Definition typedef enum tag_KVErrorCode\n{\nKVERR_Success,             /* 0  Success*/\nKVERR_DLLNotFound,         /* 1  DLL or shared library not ..."},"39":{y:0,u:"../Content/kv_enumtype/_KV_ENUM_KVErrorCodeEx.htm",l:-1,t:"KVErrorCodeEx",i:0.0060746289133996,a:"This enumerated type  defines extended error codes. The type is defined in kverrorcodes.h. Definition typedef enum tag_KVErrorCodeEx\n{\nKVError_OpenStreamFailure = KVERR_ArchiveFatalError + 1, /* 22 KVOpen stream failure */\nKVError_InterfaceFunctionNotFound, /* 23 Interface function not found ..."},"40":{y:0,u:"../Content/C/PDF/KVCharSet.htm",l:-1,t:"KVCharSet",i:0.0060746289133996,a:"KVCharSet This enumerated type defines the character sets that KeyView can handle. See  Coded Character Sets ."},"41":{y:0,u:"../Content/kv_enumtype/_KV_ENUM_ENDocAttributes.htm",l:-1,t:"ENDocAttributes",i:0.0135522034557791,a:"This enumerated type provides additional information about a file during auto-detection. This enumerated type is defined in adinfo.h.  The attributes in this enumerated type are set when a particular characteristic is detected. However, if the attribute is not set it does not necessarily mean that ..."},"42":{y:0,u:"../Content/C/PDF/ENdocFmt.htm",l:-1,t:"ENdocFmt",i:0.0060746289133996,a:"ENdocFmt This enumerated type defines the document formats that KeyView can detect. See  Supported Formats ."},"43":{y:0,u:"../Content/appart.htm",l:-1,t:"Appendixes",i:0.0060746289133996,a:"Appendixes This section lists supported formats, supported character sets and redistributed files, and provides information on format detection. Supported Formats Document Readers Character Sets File Format Detection Files Required for Redistribution Password Protected Files"},"44":{y:0,u:"../Content/kv_formats/_KV_FMT__Detected.htm",l:-1,t:"Supported Formats",i:0.0172621360752181,a:"Supported Formats This section lists the file formats that KeyView can detect."},"45":{y:0,u:"../Content/kv_formats/_KV_FMT__Detected_Key.htm",l:-1,t:"Key to Supported Formats Table",i:0.0060746289133996,a:"Key to Supported Formats Table The supported formats table includes the following information:"},"46":{y:0,u:"../Content/kv_formats/_KV_FMT__AllDetected.htm",l:-1,t:"Supported Formats",i:0.0112380937573158,a:"1MHT, EML, and MBX files might return either format 2, 233, or 395, depending on the text  in the file. In general, files that contain fields such as To, From, Date, or Subject are considered to be email messages; files that contain fields such as content-type and mime-version are considered to be ..."},"47":{y:0,u:"../Content/kv_formats/_KV_FMT__SupportedFormats.htm",l:-1,t:"Document Readers",i:0.0120986712313018,a:"Document Readers This section lists the KeyView document readers that are available to filter, export, and view supported file formats."},"48":{y:0,u:"../Content/kv_formats/_KV_FMT__Key.htm",l:-1,t:"Key to Document Reader Tables",i:0.0060746289133996,a:"The tables in this section provide the following information: The file formats supported by the Filter API, Export API, Viewing API, and File Extraction API. The supported versions and the format’s extension are also listed. All of the formats listed in this section can be detected by the KeyView ..."},"49":{y:0,u:"../Content/kv_formats/_KV_FMT_Archive.htm",l:-1,t:"Archive Formats",i:0.0060746289133996,a:"Archive Formats"},"50":{y:0,u:"../Content/kv_formats/_KV_FMT_Binary.htm",l:-1,t:"Binary Format",i:0.0060746289133996,a:"Binary Format"},"51":{y:0,u:"../Content/kv_formats/_KV_FMT_CAD.htm",l:-1,t:"Computer-Aided Design Formats",i:0.0060746289133996,a:"Computer-Aided Design Formats"},"52":{y:0,u:"../Content/kv_formats/_KV_FMT_Database.htm",l:-1,t:"Database Formats",i:0.0060746289133996,a:"Database Formats"},"53":{y:0,u:"../Content/kv_formats/_KV_FMT_DesktopPublishing.htm",l:-1,t:"Desktop Publishing",i:0.0060746289133996,a:"Desktop Publishing"},"54":{y:0,u:"../Content/kv_formats/_KV_FMT_Display.htm",l:-1,t:"Display Formats",i:0.0060746289133996,a:"Display Formats"},"55":{y:0,u:"../Content/kv_formats/_KV_FMT_Graphic.htm",l:-1,t:"Graphic Formats",i:0.0060746289133996,a:"Graphic Formats"},"56":{y:0,u:"../Content/kv_formats/_KV_FMT_Mail.htm",l:-1,t:"Mail Formats",i:0.0060746289133996,a:"Mail Formats"},"57":{y:0,u:"../Content/kv_formats/_KV_FMT_Multimedia.htm",l:-1,t:"Multimedia Formats",i:0.0060746289133996,a:"Viewing SDK plays some multimedia files using the Windows Media Control Interface (MCI). MCI is a set of Windows APIs that communicate with multimedia devices. Depending on the default multimedia player installed on your computer, the View API might not be able to play some supported multimedia ..."},"58":{y:0,u:"../Content/kv_formats/_KV_FMT_Presentation.htm",l:-1,t:"Presentation Formats",i:0.0060746289133996,a:"Presentation Formats"},"59":{y:0,u:"../Content/kv_formats/_KV_FMT_Spreadsheet.htm",l:-1,t:"Spreadsheet Formats",i:0.0060746289133996,a:"Spreadsheet Formats"},"60":{y:0,u:"../Content/kv_formats/_KV_FMT_TextMarkup.htm",l:-1,t:"Text and Markup Formats",i:0.0060746289133996,a:"Text and Markup Formats"},"61":{y:0,u:"../Content/kv_formats/_KV_FMT_WordProcessing.htm",l:-1,t:"Word Processing Formats",i:0.0060746289133996,a:"Word Processing Formats"},"62":{y:0,u:"../Content/kv_charset/_KV_CHARSET_c_charset.htm",l:-1,t:"Character Sets",i:0.00693520638738563,a:"Character Sets This section provides information on the handling of character sets in the KeyView suite of products, which includes KeyView Filter SDK, KeyView Export SDK, and KeyView Viewing SDK. "},"63":{y:0,u:"../Content/kv_charset/_KV_CHARSET_Multibyte_Bidirectional_Support.htm",l:-1,t:"Multibyte and Bidirectional Support",i:0.0060746289133996,a:"The KeyView SDKs can process files that contain  multibyte characters. A multibyte  character encoding represents a single character with consecutive bytes. KeyView can also process text from files that contain  bidirectional text. Bidirectional text contains both Latin-based text which is read from ..."},"64":{y:0,u:"../Content/kv_charset/_KV_CHARSET_Coded_Character_Sets.htm",l:-1,t:"Coded Character Sets",i:0.0112380937573158,a:"Coded Character Sets This section lists which character set  you can use to specify the target character set.  The coded character sets are enumerated in kvcharset.h and defined in the  Export  class."},"65":{y:0,u:"../Content/ExportShared/Detect/detection.htm",l:-1,t:"File Format Detection",i:0.00693520638738563,a:"File Format Detection This section describes how file formats are detected in the KeyView Export SDK."},"66":{y:0,u:"../Content/ExportShared/Detect/Introduction.htm",l:-1,t:"Introduction",i:0.0060746289133996,a:"The KeyView format detection module ( kwad) detects a file\u0027s format, and reports the information to the API, which in turn reports the information to the developer\u0027s application. If the detected format is supported by the KeyView SDK, the detection module also loads the appropriate structured access ..."},"67":{y:0,u:"../Content/ExportShared/Detect/Extract_Format_Info.htm",l:-1,t:"Extract Format Information",i:0.0060746289133996,a:"You can extract format information from a document by using the fpGetStreamInfo() function. If required, this format information can then be reported to the developer\u0027s application. The fpGetStreamInfo() function extracts format information, such as file class, format, and version, and populates the ..."},"68":{y:0,u:"../Content/ExportShared/Detect/Determine_Format_Support.htm",l:-1,t:"Determine Format Support",i:0.0112380937573158,a:"After the file format is extracted, the detection module  uses the formats_e.ini file to determine whether the format is supported by KeyView, and the appropriate structured access layer and reader to load. The formats_e.ini file is in the directory  install\\OS\\bin, where install is the path name of ..."},"69":{y:0,u:"../Content/ExportShared/Detect/Translate_Format_Info.htm",l:-1,t:"Translate Format Information",i:0.0160143151101036,a:"Format information can include file attributes in the following categories: Major format File class Minor format Major version Minor version Not all categories are required. Many formats only include major format and file class, or major format only.  The format information has the following ..."},"70":{y:0,u:"../Content/ExportShared/Detect/Determine_Doc_Reader.htm",l:-1,t:"Determine a Document Reader",i:0.0108508502661874,a:"The format detection module uses the formats_e.ini file to determine whether a format is supported and which reader should be used to parse a format. The entries in the  formats_e.ini file lists each format\u0027s coded value, and an abbreviation for the format\u0027s reader. For example: 81.2.0.9.0=l123 The ..."},"71":{y:0,u:"../Content/ExportShared/Detect/Category_Values_in_formats_e_ini.htm",l:-1,t:"Category Values in formats_e.ini",i:0.0060746289133996,a:"The  Supported Formats  section lists all of the file formats that can be detected by KeyView, with associated category values for use in the formats_e.ini file. The following tables provide the list of possible file classes and minor formats. File Classes Minor Formats Minor Formats Attribute ..."},"72":{y:0,u:"../Content/ExportShared/Files/Filelist.htm",l:-1,t:"Files Required for Redistribution",i:0.0213219583093443,a:"Files Required for  Redistribution This section lists the Export files that can be redistributed in your applications under the licensing agreement. Unless noted, these files are in the directory  install\\OS\\bin, where install is the path of the Export installation directory and OS is the operating ..."},"73":{y:0,u:"../Content/ExportShared/Files/Core_Files.htm",l:-1,t:"Core Files",i:0.0060746289133996,a:"Core Files The following core files can be redistributed with your application."},"74":{y:0,u:"../Content/ExportShared/Files/Support_Files.htm",l:-1,t:"Support Files",i:0.0060746289133996,a:"Support Files The following support files can be redistributed with your application."},"75":{y:0,u:"../Content/ExportShared/Files/Document_Readers_and_Writers.htm",l:-1,t:"Document Readers and Writers",i:0.0060746289133996,a:"Document Readers and Writers The following readers and writers can be redistributed with your application."},"76":{y:0,u:"../Content/Shared/_KV_pwd_intro.htm",l:-1,t:"Password Protected Files",i:0.00693520638738563,a:"Password Protected Files This section lists supported password-protected container and non-container files and describes how to open them."},"77":{y:0,u:"../Content/Shared/_KV_pwd_protect_support.htm",l:-1,t:"Supported Password Protected File Types",i:0.0060746289133996,a:"The following table lists the password-protected file types that KeyView supports. Supported password-protected file types File Type Version Filter Export Extract View Credentials PST (Windows) n/a N N Y S P PST (non-Windows) 1 The native PST readers, pstxsr and pstnsr, do not require credentials to ..."},"78":{y:0,u:"../Content/C/Password/C_Export_Password_Protected_Files.htm",l:-1,t:"Export Password Protected Files",i:0.0060746289133996,a:"Export Password Protected Files To export a password-protected file, supply the password through the  KVPDFOptions  structure."},});